Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-25903 Upgrade Java to JDK 8
  3. SAK-25771

Fix build to work with JDK8 (still run on 6/7, still build on 6)

    XMLWordPrintable

    Details

    • Type: Sub-task
    • Status: CLOSED
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 10.0
    • Fix Version/s: 10.0, 11.0
    • Component/s: Global
    • Labels:
      None

      Description

      JDK 8 is due to be released on 2014/03/18.
      http://openjdk.java.net/projects/jdk8/milestones

      Provisionally JDK 7 is due to lose updates a year later (2014/08/01).
      http://www.oracle.com/technetwork/java/eol-135779.html

      With Oracle releasing JDK 8 across all major platforms now it would seem sensible to make JDK 8 the default JDK shortly after it's release.

      At the moment trunk doesn't compile with a release candidate of JDK 8.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  buckett Matthew Buckett
                  Reporter:
                  buckett Matthew Buckett
                • Votes:
                  1 Vote for this issue
                  Watchers:
                  8 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Git Source Code